int comb( int n, r; ) 
	begin
		if r < 0 || r > n then
			return 0;
		elif r == 0 || r == n then
			return 1;
		else
			return comb( n - 1, r - 1 ) + comb( n - 1, r );
		end
	end
int n, r;
for n = 0; n < 10; n = n + 1 do
	for r = 0; r < 10 - n; r = r + 1 do
		printf( "    " );
	end
	for r = 0; r <= n; r = r + 1 do
		printf( "%8d", comb( n, r ) );
	end
	printf( "\n" );
end
